[OSM-dev] josm+plugin compile error

Joerg Ostertag (OSM Munich/Germany) openstreetmap at ostertag.name
Fri Oct 26 14:45:37 BST 2007


Any hints/suggestions?


...
    [javac] 
Note: /home/tweety/svn.openstreetmap.org/applications/editors/josm/plugins/mappaint/src/mappaint/MapPaintPlugin.java 
uses or overrides a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
     [echo] java version: 1.5.0_08
     [echo] creating site description in josm-site.xml
    [javac] 
Note: /home/tweety/svn.openstreetmap.org/applications/editors/josm/plugins/slippymap/slippymap/SlippyMapLayer.java 
uses or overrides a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    
[javac] /home/tweety/svn.openstreetmap.org/applications/editors/josm/plugins/validator/src/org/openstreetmap/josm/plugins/validator/tests/OverlappingWays.java:11: 
cannot find symbol
    [javac] symbol  : class NodePair
    [javac] location: package org.openstreetmap.josm.data.osm
    [javac] import org.openstreetmap.josm.data.osm.NodePair;
    [javac]                                        ^
    
[javac] /home/tweety/svn.openstreetmap.org/applications/editors/josm/plugins/validator/src/org/openstreetmap/josm/plugins/validator/tests/OverlappingWays.java:25: 
cannot find symbol

-- 
Jörg (Germany, Munich)

http://www.ostertag.name/
irc://irc.oftc.net/#osm
Tel.: +49 89 420950304
Skype: JoergOstertag




More information about the dev mailing list